Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225903 - Merge Review: iproute
Summary: Merge Review: iproute
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:05 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-24 10:54:40 UTC
panemade: fedora-review+


Attachments (Terms of Use)
update SPEC (deleted)
2007-09-12 09:48 UTC, Parag AN(पराग)
no flags Details

Description Nobody's working on this, feel free to take it 2007-01-31 19:05:36 UTC
Fedora Merge Review: iproute

http://cvs.fedora.redhat.com/viewcvs/devel/iproute/
Initial Owner: rvokal@redhat.com

Comment 1 Parag AN(पराग) 2007-08-31 05:22:18 UTC
rpmlint output on SRPM and RPM

W: iproute invalid-license GPL
The value of the License tag was not recognized.  Known values are:
"Affero GPL", "AFL", "ASL 1.0", "ASL 1.0+", "ASL 1.1", "ASL 1.1+", "ASL 2.0",
"ASL 2.0+", "APSL 2.0", "APSL 2.0+", "Artistic 2.0", "Artistic clarified",
"BitTorrent", "Boost", "BSD", "BSD with advertising", "CeCILL", "CDDL", "CPL",
"Condor", "Copyright only", "Cryptix", "Crystal Stacker", "EPL", "eCos", "EFL
2.0", "EFL 2.0+", "EU Datagrid", "Giftware", "Glide", "GPL+", "GPL+ or
Artistic", "GPLv2", "GPLv2 with exceptions", "GPLv2+", "GPLv3", "GPLv3+",
"IBM", "IJG", "iMatix", "Intel ACPI", "Interbase", "ISC", "Jabber", "JasPer",
"LGPLv2", "LGPLv2 with exceptions", "LGPLv2+", "LGPLv3", "LGPLv3+", "libtiff",
"LPL", "LPPL", "mecab-ipadic", "MIT", "MPLv1.0", "MPLv1.0+", "MPLv1.1",
"MPLv1.1+", "NCSA", "NGPL", "NOSL", "Netscape", "Nokia", "OpenLDAP", "OSL
1.0", "OSL 1.0+", "OSL 2.0", "OSL 2.0+", "OSL 3.0", "OSL 3.0+", "OpenSSL",
"Phorum", "PHP", "Public Domain", "Python", "QPL", "RPSL", "Ruby",
"Sleepycat", "SISSL", "SPL", "TCL", "UCD", "Vim", "VNLSL", "VSL", "W3C",
"WTFPL", "wxWindows", "xinetd", "Zend", "ZPLv1.0", "ZPLv1.0+", "ZPLv2.0",
"ZPLv2.0+", "zlib", "CDL", "FBSDDL", "GFDL", "Open Publication", "CC-BY", "CC-
BY-SA", "DSL", "Free Art", "Arphic", "Bitstream Vera", "mplus", "OFL",
"Utopia", "Redistributable, no modification permitted", "Freely
redistributable without restriction".

W: iproute unversioned-explicit-obsoletes shapecfg
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

W: iproute mixed-use-of-spaces-and-tabs (spaces: line 10, tab: line 44)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

I: iproute checking
W: iproute file-not-utf8 /usr/share/man/man8/ss.8.gz
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).

W: iproute obsolete-not-provided shapecfg
If a package is obsoleted by a compatible replacement, the obsoleted package
must also be provided in order to provide clean upgrade paths and not cause
unnecessary dependency breakage.  If the obsoleting package is not a compatible
replacement for the old one, leave out the provides.

E: iproute only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.


correct above and update SPEC in CVS for further review.

Comment 2 Marcela Mašláňová 2007-08-31 11:20:09 UTC
W: iproute unversioned-explicit-obsoletes shapecfg
I think obsoletes is only warning. 

E: iproute only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.
Movin 

Comment 3 Parag AN(पराग) 2007-08-31 12:26:24 UTC
(In reply to comment #2)
> W: iproute unversioned-explicit-obsoletes shapecfg
> I think obsoletes is only warning. 
> 
> E: iproute only-non-binary-in-usr-lib
> There are only non binary files in /usr/lib so they should be in /usr/share.
> Movin 

???
what is that?

Comment 4 Marcela Mašláňová 2007-09-11 15:19:39 UTC
Hello,
once again, the last message from rpmlint is: E: iproute nly-non-binary-in-usr-lib
but I can't fix it without upstream. I ask them about it.

Comment 5 Parag AN(पराग) 2007-09-12 05:35:33 UTC
But are other things got updated in SPEC file?

Comment 6 Marcela Mašláňová 2007-09-12 07:07:30 UTC
Yes, the spec file was updatet therefore no other problems than this one (#4) is
occuring.

Comment 7 Parag AN(पराग) 2007-09-12 08:44:03 UTC
thanks

Comment 8 Parag AN(पराग) 2007-09-12 09:16:23 UTC
1)any reason to use (pre) with BuildRequires?
2)Use macro usage. It is not consistent.
   check more at http://fedoraproject.org/wiki/Packaging/RPMMacros



Comment 9 Parag AN(पराग) 2007-09-12 09:48:20 UTC
Created attachment 193321 [details]
update SPEC

You may like to test attached SPEC as it may solve rpmlint error.
Just a suggestion.
Can you check functionality of your package it this solves problem?

Comment 10 Marcela Mašláňová 2007-09-12 10:31:54 UTC
I made the final changes in spec file. I added smp flags and use macros.

#9 I don't want do these changes. It's upstream thing.

Comment 11 Parag AN(पराग) 2007-09-12 10:44:55 UTC
(In reply to comment #10)
> I made the final changes in spec file. I added smp flags and use macros.
> 
> #9 I don't want do these changes. It's upstream thing.
 And why you would like to see non binary files being installed in /usr/lib.
 I checked F-7 version and saw that in that version we have q_netem.so file and
its valid to have that being installed in /usr/lib. But now I saw its no longer
part of new devel version, thus no use to have other files installed at location
/usr/lib/tc 



Comment 12 Parag AN(पराग) 2007-09-19 09:08:24 UTC
ping?

Comment 13 Marcela Mašláňová 2007-09-19 14:53:09 UTC
q_netem.so isn't used any more but option netem is supported. The distribution
in usr/lib is used by this function.

Comment 14 Marcela Mašláňová 2007-10-23 12:02:50 UTC
Ok, I'll fix the paths (/usr/lib), have you see any other problems with review?

Comment 15 Parag AN(पराग) 2007-10-23 12:20:29 UTC
I don't think so. So I need final updates to finish this review.


Comment 16 Marcela Mašláňová 2007-10-24 08:58:28 UTC
The path is fixed in the latest build iproute-2.6.22-4.fc9

Comment 17 Parag AN(पराग) 2007-10-24 09:09:46 UTC
In build.log I saw following message
warning: File listed twice: /sbin/cbq

Remove following line from %files
/sbin/cbq

Comment 18 Marcela Mašláňová 2007-10-24 09:30:38 UTC
Fixed, any other issues? I don't want rebuild it again and again.

Comment 19 Parag AN(पराग) 2007-10-24 09:40:54 UTC
(In reply to comment #18)
> Fixed, any other issues? I don't want rebuild it again and again.
thanks. No issues.

That's why I have started asking maintainers of packages from other
Merge-reviews to submit updates to some other website and that prevents
maintainers building again and again for small issues.



Comment 20 Parag AN(पराग) 2007-10-24 09:45:05 UTC
oops sorry but what you fixed for comment #18?
I didn't see any change in SPEC for issue reported in comment #17

Comment 21 Parag AN(पराग) 2007-10-24 09:54:03 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
20ef2767896a0f156b6fbabd47936f79  iproute2-2.6.22-070710.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
- duplicates in %files present as can be seen in build.log
  warning: File listed twice: /sbin/cbq
==> This can be solved at next build time of this package
+ file permissions are appropriate.
+ no scriptlets are used.
+ Package iproute-2.6.22-4.fc8 ->
  Provides: config(iproute) = 2.6.22-4.fc8
  Requires: /bin/bash config(iproute) = 2.6.22-4.fc8 libc.so.6
libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.2)
libc.so.6(GLIBC_2.2.3) libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4) libc.so.6(GLIBC_2.7) libdb-4.6.so libdl.so.2
libdl.so.2(GLIBC_2.0) libdl.so.2(GLIBC_2.1) libm.so.6 libm.so.6(GLIBC_2.0)
libpthread.so.0 libpthread.so.0(GLIBC_2.0) libresolv.so.2 rtld(GNU_HASH)
+ Not a GUI app.
APPROVED.



Note You need to log in before you can comment on or make changes to this bug.